# Miscategorizations ## Create Miscategorization `client.Intel.Miscategorizations.New(ctx, params) (*MiscategorizationNewResponse, error)` **post** `/accounts/{account_id}/intel/miscategorization` Allows you to submit requests to change a domain’s category. ### Parameters - `params MiscategorizationNewParams` - `AccountID param.Field[string]` Path param: Identifier. - `ContentAdds param.Field[[]int64]` Body param: Content category IDs to add. - `ContentRemoves param.Field[[]int64]` Body param: Content category IDs to remove. - `IndicatorType param.Field[MiscategorizationNewParamsIndicatorType]` Body param - `const MiscategorizationNewParamsIndicatorTypeDomain MiscategorizationNewParamsIndicatorType = "domain"` - `const MiscategorizationNewParamsIndicatorTypeIPV4 MiscategorizationNewParamsIndicatorType = "ipv4"` - `const MiscategorizationNewParamsIndicatorTypeIPV6 MiscategorizationNewParamsIndicatorType = "ipv6"` - `const MiscategorizationNewParamsIndicatorTypeURL MiscategorizationNewParamsIndicatorType = "url"` - `IP param.Field[string]` Body param: Provide only if indicator_type is `ipv4` or `ipv6`. - `SecurityAdds param.Field[[]int64]` Body param: Security category IDs to add. - `SecurityRemoves param.Field[[]int64]` Body param: Security category IDs to remove. - `URL param.Field[string]` Body param: Provide only if indicator_type is `domain` or `url`. Example if indicator_type is `domain`: `example.com`. Example if indicator_type is `url`: `https://example.com/news/`. ### Returns - `type MiscategorizationNewResponse struct{…}` - `Errors []MiscategorizationNewResponseError` - `Code int64` - `Message string` - `DocumentationURL string` - `Source MiscategorizationNewResponseErrorsSource` - `Pointer string` - `Messages []MiscategorizationNewResponseMessage` - `Code int64` - `Message string` - `DocumentationURL string` - `Source MiscategorizationNewResponseMessagesSource` - `Pointer string` - `Success MiscategorizationNewResponseSuccess` Whether the API call was successful. - `const MiscategorizationNewResponseSuccessTrue MiscategorizationNewResponseSuccess = true` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/intel" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) miscategorization, err := client.Intel.Miscategorizations.New(context.TODO(), intel.MiscategorizationNewParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", miscategorization.Errors) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true } ```